GET
/
v1
/
teams
/
{teamId}
/
tasks
/
summary
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.tasks.getTaskSummary({
  teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
  query: {},
})
{
  "todo": 123,
  "inProgress": 123,
  "done": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

teamId
string
required

Team (workspace) id (UUID). Discover ids via the list teams endpoint or the agent context.

Query Parameters

contentItemId
string

Restrict the per-status totals to tasks attached to this post.

Response

Success

todo
number
required
inProgress
number
required
done
number
required